from fastapi import APIRouter, Request
from fastapi.templating import Jinja2Templates



router = APIRouter(prefix="", tags=["articles"])
templates = Jinja2Templates(directory="templates")

@router.get("/articles")
async def get_articles(request: Request):
    return templates.TemplateResponse("articles.html", {"request": request, "title": "Articles"})


async def s3vm(request: Request):
    return templates.TemplateResponse("S3VM.html", {"request": request, "title": "Semi-Supervised SVM"})